Developer Portal
How-to guides

How to Mark Messages as Read

When receiving a message, advance the seen sequence to mark it as read and clear the notification.

PUT /v4/channel/{channel_id}/seen-seq/{seen_seq}?force=false

Use the conversation_id and conversation_sequence from the webhook Message payload.

The force query parameter is required. Pass false to only advance the seen sequence forward. Pass true to force it even if seen_seq is lower than the current value.

How to Mark Messages as Read | Carbon Voice Developer Portal